/***************************************************************************
****************************************************************************

This is a part of the xModule Source code.

Copyright (C) 2003-2007 The LS-Universe Team

  Homepage: http://www.ls-universe.info

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

****************************************************************************
****************************************************************************/

#if !defined(AFX_STDAFX_H__E2491E45_41DC_421D_B2E6_366E80DE4BE0__INCLUDED_)
#define AFX_STDAFX_H__E2491E45_41DC_421D_B2E6_366E80DE4BE0__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#define WINVER 0x0501

#include "../lsapi/AggressiveOptimize.h"

#define WIN32_LEAN_AND_MEAN		// Selten benutzte Teile der Windows-Header nicht einbinden
#define VC_EXTRALEAN

#include "afxwin.h"

#include <string>
#include <list>
#include <vector>

using namespace std;

typedef list<string> StringList;
typedef list<string>::iterator StringListIterator;

#include "../lsapi/lsapi.h"

//#define StringCbCopy(a, b, c) strncpy((a), (c), (b))
#define StringCbPrintf _snprintf

#define StringCchCat(a, b, c) strncat((a), (c), (b))
#define StringCchCopy(a, b, c) strncpy((a), (c), (b))
#define StringCchLength(a, b, c) *(c) = strlen((a)), S_OK
#define StringCchPrintf _snprintf

#define OS_9X   0x0001
#define OS_NT   0x0002
#define OS_95   0x0004
#define OS_98   0x0008
#define OS_ME   0x0010
#define OS_NT4  0x0020
#define OS_2K   0x0040
#define OS_XP   0x0080
#define OS_2KXP 0x0100


//#define MAX_LINE_LENGTH 4086

// ZU ERLEDIGEN: Verweisen Sie hier auf zustzliche Header-Dateien, die Ihr Programm bentigt

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ fgt zustzliche Deklarationen unmittelbar vor der vorherigen Zeile ein.

#endif // !defined(AFX_STDAFX_H__E2491E45_41DC_421D_B2E6_366E80DE4BE0__INCLUDED_)
